editors/ne - The NetBSD Packages Collection

Terminal text editor

NE is a text editor that was originally designed to run on a wide
variety of machines, from large servers to personal workstations.
In the past it ran on a number of operating systems; however, the
current version supports only Unix-like systems.

The main use of NE is expected to be as an interactive screen
editor.  However, it can also function as a line-by-line editor,
and it is programmable, so it can be run non-interactively as a
text manipulation tool.

NE is a re-implementation of a previous editor that was called E,
which in turn evolved from one called Zed and a number of predecessors
that ran on IBM mainframes. The lineage can be traced back to some
very early Cambridge text editors of the 1960s.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/pcre2 devel/pcre2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfne-3.18.tgz
NetBSD 8.0earmv7hfne-3.15.tgz
NetBSD 8.0earmv7hfne-3.15.tgz
NetBSD 8.0i386ne-3.15.tgz
NetBSD 8.0i386ne-3.15.tgz
NetBSD 8.0powerpcne-3.15.tgz
NetBSD 8.0powerpcne-3.15.tgz
NetBSD 8.0powerpcne-3.15.tgz
NetBSD 8.0powerpcne-3.18.tgz
NetBSD 8.0x86_64ne-3.15.tgz
NetBSD 8.0x86_64ne-3.15.tgz
NetBSD 9.0aarch64ne-3.18.tgz
NetBSD 9.0aarch64ne-3.15.tgz
NetBSD 9.0aarch64ne-3.15.tgz
NetBSD 9.0alphane-3.18.tgz
NetBSD 9.0alphane-3.15.tgz
NetBSD 9.0alphane-3.15.tgz
NetBSD 9.0earmv6hfne-3.18.tgz
NetBSD 9.0earmv6hfne-3.15.tgz
NetBSD 9.0earmv6hfne-3.15.tgz
NetBSD 9.0earmv7hfne-3.18.tgz
NetBSD 9.0earmv7hfne-3.15.tgz
NetBSD 9.0earmv7hfne-3.15.tgz
NetBSD 9.0earmv7hfne-3.18.tgz
NetBSD 9.0i386ne-3.15.tgz
NetBSD 9.0i386ne-3.15.tgz
NetBSD 9.0i386ne-3.18.tgz
NetBSD 9.0mips64ebne-3.15.tgz
NetBSD 9.0mips64ebne-3.15.tgz
NetBSD 9.0mips64ebne-3.15.tgz
NetBSD 9.0mips64ebne-3.15.tgz
NetBSD 9.0mips64ebne-3.18.tgz
NetBSD 9.0powerpcne-3.15.tgz
NetBSD 9.0powerpcne-3.15.tgz
NetBSD 9.0powerpcne-3.15.tgz
NetBSD 9.0powerpcne-3.15.tgz
NetBSD 9.0powerpcne-3.18.tgz
NetBSD 9.0sparc64ne-3.15.tgz
NetBSD 9.0sparc64ne-3.15.tgz
NetBSD 9.0sparc64ne-3.18.tgz
NetBSD 9.0sparcne-3.15.tgz
NetBSD 9.0sparcne-3.15.tgz
NetBSD 9.0sparcne-3.15.tgz
NetBSD 9.0sparcne-3.15.tgz
NetBSD 9.0vaxne-3.15.tgz
NetBSD 9.0x86_64ne-3.15.tgz
NetBSD 9.0x86_64ne-3.18.tgz
NetBSD 9.0x86_64ne-3.15.tgz
NetBSD 9.0x86_64ne-3.15.tgz
NetBSD 9.0x86_64ne-3.18.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.